Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.compiler
Class SDB_QC

    java.lang.Object
      com.hp.hpl.jena.sdb.compiler.SDB_QC

    public class SDB_QC

extends Object

Field Summary
`static boolean` | `fetchPrint`
`static boolean` | `PrintSQL`

Constructor Summary
`SDB_QC()`

Method Summary
`static com.hp.hpl.jena.sparql.engine.QueryIterator` | `exec(OpSQL opSQL, SDBRequest request, com.hp.hpl.jena.sparql.engine.binding.Binding binding, com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)`
`static boolean` | `isOpSQL(com.hp.hpl.jena.sparql.algebra.Op x)`
`static List<com.hp.hpl.jena.sparql.core.Var>` | `queryOutVars(com.hp.hpl.jena.query.Query query)` Find the variables needed out of this query.
`static String` | `toSqlString(OpSQL opSQL, SDBRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fetchPrint

    public static boolean fetchPrint

### PrintSQL

    public static boolean PrintSQL

Constructor Detail

### SDB_QC

    public SDB_QC()

Method Detail

### exec

    public static com.hp.hpl.jena.sparql.engine.QueryIterator exec(OpSQL opSQL,
                                                                   SDBRequest request,
                                                                   com.hp.hpl.jena.sparql.engine.binding.Binding binding,
                                                                   com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)

### toSqlString

    public static String toSqlString(OpSQL opSQL,
                                     SDBRequest request)

### queryOutVars

    public static List<com.hp.hpl.jena.sparql.core.Var> queryOutVars(com.hp.hpl.jena.query.Query query)

  Find the variables needed out of this query. If we don't do sorting in-DB, then we need the ORDER BY variables as well.

  Parameters:
    `query` -

### isOpSQL

    public static boolean isOpSQL(com.hp.hpl.jena.sparql.algebra.Op x)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.